apemanenv
==========

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]

[bd_repo_url]: https://github.com/apeman-labo/apemanenv
[bd_travis_url]: http://travis-ci.org/apeman-labo/apemanenv
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-labo/apemanenv.svg?style=flat
[bd_license_url]: https://github.com/apeman-labo/apemanenv/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-labo/apemanenv
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-labo/apemanenv.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-labo/apemanenv.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-labo/apemanenv
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-labo/apemanenv.svg
[bd_npm_url]: http://www.npmjs.org/package/apemanenv
[bd_npm_shield_url]: http://img.shields.io/npm/v/apemanenv.svg?style=flat
[bd_bower_badge_url]: https://img.shields.io/bower/v/apemanenv.svg?style=flat

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Env settings for apeman project.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>
Load environment specific settings , using [konfig][konfig_url].

[konfig_url]: https://www.npmjs.com/package/konfig

<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/readme/01.Installation.md.hbs" Start -->

<a name="section-doc-readme-01-installation-md"></a>
Installation
-----

```bash
$ npm install apemanenv --save
```

<!-- Section from "doc/readme/01.Installation.md.hbs" End -->

<!-- Section from "doc/readme/02.Usage.md.hbs" Start -->

<a name="section-doc-readme-02-usage-md"></a>
Usage
---------

Create a directory with name "env" and put env setting files like "database.json" there.


**env/database.json**
```javascript
{
  "default": {
    "host": "localhost",
    "shcema": "myapp",
    "user": "myapp-db-user",
    "password": "myapp-db-password"
  },
  "production": {
    "host": "http://myapp-db.com",
    "user": "myapp-db-user-production",
    "password": "a;skdjfasdwer"
  },
  "development": {
    "user": "myapp-db-user-dev",
    "password": "myapp-db-user-dev"
  }
}
```

**env/index.json**

```javascript
var apemanenv = require('apemanenv');

var env = apemanenv(__dirname);

// Print env settings to console.
apemanenv.print(env);

// Exports env settings as module.
module.exports = env;

```



<!-- Section from "doc/readme/02.Usage.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-labo/apemanenv/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman](https://www.npmjs.com/package/apeman)
+ [konfig](https://www.npmjs.com/package/konfig)

<!-- Links End -->
