/**
 * Get env settings.
 * @function apemanenv
 * @param {string} [dirname='env'] - Directory name with contains env data.
 * @returns {object} - Env data.
 */

"use strict";

var konfig = require('konfig'),
    extend = require('extend');

/** @lends apemanenv */
function apemanenv(dirname) {
    var configs = konfig({
        path: dirname || 'env'
    });

    function env(name) {
        if (configs.hasOwnProperty(name)) {
            return configs[name];
        }
        throw new Error('Unknown name: ' + name);
    }

    extend(env, configs);
    return env;
}

module.exports = apemanenv;