/**
 * Test case for apemanenv.
 * Runs with nodeunit.
 */

var apemanenv = require('../lib/apemanenv.js');

var NODE_ENV = process.env.NODE_ENV;
exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    process.env.NODE_ENV = NODE_ENV;
    done();
};

exports['Apemanenv'] = function (test) {
    var env;
    process.env.NODE_ENV = '';
    env = apemanenv(__dirname + '/../doc/mocks/mock-env');
    test.equal(env['mock-database'].user, 'hoge');
    process.env.NODE_ENV = 'test';
    env = apemanenv(__dirname + '/../doc/mocks/mock-env');
    test.equal(env['mock-database'].user, 'hoge_test');
    test.done();
};

